/**
 * Copyright (c) 2005-2011 Zauber S.A. <http://www.zaubersoftware.com/>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package ar.com.zauber.commons.repository;

import java.util.Date;

/**
 * Interfaz que deben implementar aquellos objetos que requieran auditoria
 * en la creacin de los mismos
 * 
 * 
 * @author Martn Andrs Mrquez
 * @since Nov 12, 2007
 */
public interface CreationAuditable {

    /**
     * @return quien es el responsable de la creacin del objeto. 
     */
    String getCreatedBy();
    
    /**
     * @return cuando fue creado el objeto.
     */
    Date getCreatedAt();
    
}
